Bug 30185 - Missing return in db rev 210600003.pl
Summary: Missing return in db rev 210600003.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-26 01:57 UTC by Fridolin Somers
Modified: 2022-03-20 15:12 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.04


Attachments
Bug 30185: Missing return in db rev 210600003.pl (998 bytes, patch)
2022-02-26 02:00 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 30185: Missing return in db rev 210600003.pl (1.03 KB, patch)
2022-02-26 15:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30185: Missing return in db rev 210600003.pl (1.09 KB, patch)
2022-03-01 14:48 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30185: Missing return in db rev 210600003.pl (1.09 KB, patch)
2022-03-01 14:48 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2022-02-26 01:57:22 UTC
db rev files are constructed with a return {...}, db rev 210600003.pl is missing return word.
I don't know if it can impact the db upgrade but we should fix it for consistency.
Comment 1 Fridolin Somers 2022-02-26 02:00:13 UTC
Created attachment 131134 [details] [review]
Bug 30185: Missing return in db rev 210600003.pl

db rev files are constructed with a return {...}, db rev 210600003.pl is missing return word.
I don't know if it can impact the db upgrade but we should fix it for consistency.

To test upgrade from a version 21.05 and check db rev is applied.
Comment 2 Katrin Fischer 2022-02-26 15:45:48 UTC
Created attachment 131136 [details] [review]
Bug 30185: Missing return in db rev 210600003.pl

db rev files are constructed with a return {...}, db rev 210600003.pl is missing return word.
I don't know if it can impact the db upgrade but we should fix it for consistency.

To test upgrade from a version 21.05 and check db rev is applied.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Martin Renvoize 2022-03-01 14:48:33 UTC
Created attachment 131178 [details] [review]
Bug 30185: Missing return in db rev 210600003.pl

db rev files are constructed with a return {...}, db rev 210600003.pl is missing return word.
I don't know if it can impact the db upgrade but we should fix it for consistency.

To test upgrade from a version 21.05 and check db rev is applied.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-03-01 14:48:53 UTC
Created attachment 131179 [details] [review]
Bug 30185: Missing return in db rev 210600003.pl

db rev files are constructed with a return {...}, db rev 210600003.pl is missing return word.
I don't know if it can impact the db upgrade but we should fix it for consistency.

To test upgrade from a version 21.05 and check db rev is applied.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2022-03-01 14:49:07 UTC
Trivial PQA
Comment 6 Fridolin Somers 2022-03-02 08:49:27 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 7 Kyle M Hall 2022-03-04 13:25:27 UTC
Pushed to 21.11.x for 21.11.04
Comment 8 Andrew Fuerste-Henry 2022-03-20 15:12:14 UTC
Not applicable to 21.05.x